# intelligent comment here
class egg::nginx () {
  $hostname = fact( 'networking.fqdn' )
  $hostalias = []
  package { 'nginx':
    ensure => 'installed',
  }
  # inserf conf. files here
  # file { '/etc/nginx/nginx.conf':
  #   ensure => 'file',
  #   source => "puppet:///modules/${module_name}/nginx.conf",
  #   notify => Service['nginx'],
  # }
  file { '/etc/nginx/conf.d/eggsample.conf':
    ensure => 'present',
    source => "puppet:///modules/${module_name}/eggsample.conf",
    notify => Service['nginx'],
  }

  # Housekeeping
  service { 'nginx':
    ensure => 'running',
    enable => true,
  }
  firewalld_service { 'Allow http in the liu Zone':
    ensure  => present,
    zone    => 'liu',
    service => 'http',
  }
}
